/*.circle {*/
    /*width: 150px;*/
    /*height: 150px;*/
    /*margin: 0 auto;*/
    /*background-color: red;*/
    /*border-radius: 50%;*/
    /*display: flex;*/
    /*transition: all 0.4s ease-out;*/
    /*justify-content: center;*/
    /*align-items: center;*/
/*}*/

/*.circle::after {*/
    /*content: '';*/
    /*width: 75px;*/
    /*height: 75px;*/
    /*border-right: 2px solid #000000;*/
    /*border-bottom: 2px solid #000000;*/
    /*transform: rotate(45deg) translate(20%, 20%);*/
/*}*/

/*.circle:hover {*/
    /*transform: rotate(180deg);*/
/*}*/
/*.check {*/
    /*width: 150px;*/
    /*height: 150px;*/
/*}*/
/*.check:checked ~ .circle {*/
    /*background-color: #000000;*/
/*}*/

/*@keyframes test {*/
    /*from, to {*/
        /*color: #000000;*/
    /*}*/
    /*25%, 75% {*/
        /*color: #444444;*/
    /*}*/
    /*50% {*/
        /*color: #888888;*/
    /*}*/
/*}*/

/*.test {*/
    /*font-size: 30px;*/
    /*animation: test 2s infinite ease-in-out;*/
    /*font-weight: bold;*/
/*}*/

/*.preloader {*/
    /*margin: 200px;*/
    /*width: 100px;*/
    /*height: 100px;*/
    /*border-radius: 50%;*/
    /*border-top: 2px solid #FF0000;*/
    /*border-bottom: 2px solid #FF0000;*/
    /*border-left: 2px solid transparent;*/
    /*border-right: 2px solid transparent;*/
    /*animation: loading 1s linear infinite;*/
/*}*/

/*@keyframes loading {*/
    /*frim {*/
        /*transform: rotate(0);*/
    /*}*/
    /*to {*/
        /*transform: rotate(360deg);*/
    /*}*/
/*}*/

.packman {
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    animation: move 12s infinite;
}
.top-part {
    width: 100%;
    height: 50%;
    background-color: yellow;
    border-radius: 50% 50% 0 0 / 100% 100% 0 0;
    transform-origin: bottom center;
    animation: move-top 1s infinite;
}
.bottom-part {
    width: 100%;
    height: 50%;
    background-color: yellow;
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform-origin: top center;
    animation: move-bottom 1s infinite;
    position: relative;
}
@keyframes move-bottom {
    from, to {
        transform: rotate(0);
    }
    25%, 75% {
        transform: rotate(10deg);
    }
    50% {
        transform: rotate(20deg);
    }
}
@keyframes move-top {
    from, to {
        transform: rotate(0);
    }
    25%, 75% {
        transform: rotate(-10deg);
    }
    50% {
        transform: rotate(-20deg);
    }
}
@keyframes move {

    from {
        transform: translate(0, 0);
    }
    50% {
        transform: translate(90vw, 0);
    }
    75% {
        /*transform: translate(100vw, 0);*/
        transform: rotate(180deg);
    }
    to {
        transform: rotate(180deg);
    }
}

